NE_STATUS(3)

NAME
ne_status - HTTP status structure

SYNOPSIS
#include <ne_utils.h> typedef struct {
    int major_version, minor_version;
    int code, klass;
    const char *reason_phrase; } ne_status;

DESCRIPTION

An ne_status type represents an HTTP response status; used in response messages giving a result of request. The major_version and minor_version fields give the HTTP version supported by the server issuing the response. The code field gives the status code of the result (lying between 100 and 999 inclusive), and the klass field gives the class[2], which is equal to the most significant digit of the status.

There are five classes of HTTP status code defined by RFC2616:

1xx Informational response.

2xx Success: the operation was successful

3xx Redirection

4xx Client error: the request made was incorrect in some manner.

5xx Server error

SEE ALSO

ne_get_status(3).

AUTHOR
Joe Orton <neon@webdav.org>.